kdesvn-kio-plugins_2.1.0-1_i386.deb


Advertisement

Description

kdesvn-kio-plugins - Subversion I/O slaves for KDE

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename kdesvn-kio-plugins_2.1.0-1_i386.deb
Package name kdesvn-kio-plugins
Package version 2.1.0
Package release 1
Package architecture i386
Package type deb
Category implemented-in::c++ interface::graphical interface::x11 role::plugin role::program suite::kde uitoolkit::qt vcs works-with::vcs x11::application
Homepage https://projects.kde.org/projects/extragear/sdk/kdesvn
License -
Maintainer Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Download size 317.86 KB
Installed size 1.40 MB

Alternatives

Package Version Architecture Repository
kdesvn-kio-plugins_2.1.0-1_amd64.deb 2.1.0 amd64 Debian Main
kdesvn-kio-plugins - - -

Requires

Name Value
kio -
libapr1 >= 1.2.7
libaprutil1 >= 1.2.7+dfsg
libc6 >= 2.4
libgcc1 >= 1:4.2
libkf5codecs5 >= 4.96.0
libkf5completion5 >= 4.97.0
libkf5configcore5 >= 4.98.0
libkf5configgui5 >= 4.97.0
libkf5configwidgets5 >= 4.98.0
libkf5coreaddons5 >= 4.99.0
libkf5dbusaddons5 >= 4.97.0
libkf5i18n5 >= 4.97.0
libkf5jobwidgets5 >= 4.96.0
libkf5kiocore5 >= 5.49.0
libkf5kiowidgets5 >= 4.96.0
libkf5notifications5 >= 4.96.0
libkf5textwidgets5 >= 5.1.0
libkf5wallet-bin -
libkf5wallet5 >= 4.96.0
libkf5widgetsaddons5 >= 4.96.0
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.9.0
libqt5gui5 >= 5.9.0
libqt5widgets5 >= 5.9.0
libstdc++6 >= 4.1.1
libsvn1 >= 1.8

Conflicts

Name Value
kdesdk-kio-plugins >= 4:4.0.0

Replaces

Name Value
kdesdk-kio-plugins >= 4:4.0.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package kdesvn-kio-plugins_2.1.0-1_i386.deb
Source Package kdesvn

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kdesvn-kio-plugins deb package:
    # sudo apt-get install kdesvn-kio-plugins

Files

Path
/usr/lib/i386-linux-gnu/qt5/plugins/kio_ksvn.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kded/kdesvnd.so
/usr/share/dbus-1/interfaces/kf5_org.kde.kdesvnd.xml
/usr/share/dbus-1/services/org.kde.kdesvnd.service
/usr/share/doc/kdesvn-kio-plugins/changelog.Debian.gz
/usr/share/doc/kdesvn-kio-plugins/changelog.gz
/usr/share/doc/kdesvn-kio-plugins/copyright
/usr/share/kservices5/ksvn+file.protocol
/usr/share/kservices5/ksvn+http.protocol
/usr/share/kservices5/ksvn+https.protocol
/usr/share/kservices5/ksvn+ssh.protocol
/usr/share/kservices5/ksvn.protocol
/usr/share/kservices5/svn+file.protocol
/usr/share/kservices5/svn+http.protocol
/usr/share/kservices5/svn+https.protocol
/usr/share/kservices5/svn+ssh.protocol
/usr/share/kservices5/svn.protocol

Changelog

2019-07-22 - Pino Toscano <pino@debian.org>
kdesvn (2.1.0-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update the patches:
- 0001-Make-sure-the-man-pages-are-built-and-installed.patch: drop, no
more needed now (translations are built properly)
- 0002-Fix-startup-s-caption-qwindowtitle.patch: drop, backported from
upstream
- upstream_Fix-compilation-with-Qt-5.11-missing-include.patch: drop,
backported from upstream
* Update the build dependencies according to the upstream build system:
- add libkf5codecs-dev, libkf5completion-dev, libkf5jobwidgets-dev,
libkf5textwidgets-dev, and libkf5xmlgui-dev
- remove libkf5texteditor-dev
- bump qtbase5-dev to >= 5.9.0
* Update install files.
* Bump Standards-Version to 4.4.0, no changes required.
* Drop the migration from kdesvn-dbg, no more needed after two Debian
stable releases.
2018-09-08 - Pino Toscano <pino@debian.org>
kdesvn (2.0.0-5) unstable; urgency=medium
* Team upload.
* Switch Vcs-* fields to salsa.debian.org.
* Backport upstream commit f4ec3ee6da0efeea7a62a6ea3a892ac4bb374182 to fix
build with Qt >= 5.11; patch
upstream_Fix-compilation-with-Qt-5.11-missing-include.patch.
(Closes: #907229)
* Bump the debhelper compatibility to 11:
- bump the debhelper build dependency to 11~
- bump compat to 11
* Simplify watch file, and switch it to https.
* Remove trailing whitespaces, and newlines at the end in changelog.
* Switch from dh_install --list-missing to dh_missing --fail-missing.
* Bump Standards-Version to 4.2.1, no changes required.
2017-12-22 - Michael Biebl <biebl@debian.org>
kdesvn (2.0.0-4) unstable; urgency=medium
* Team upload.
* Remove myself from Uploaders.
2017-03-18 - Michael Biebl <biebl@debian.org>
kdesvn (2.0.0-3) unstable; urgency=medium
[ Aurélien COUDERC ]
* Cherrypick upstream commit fixing broken startup from .desktop file.
(Closes: #858072)
2017-02-17 - Michael Biebl <biebl@debian.org>
kdesvn (2.0.0-2) unstable; urgency=medium
* Drop Build-Depends on libssl-dev, no longer needed. (Closes: #855339)
2016-12-09 - Michael Biebl <biebl@debian.org>
kdesvn (2.0.0-1) unstable; urgency=medium
* New major upstream release based on Qt 5 and KDE Frameworks 5 (KF5).
* Update Build-Depends and .install files for the switch to Qt5/KF5.
* Bump to debhelper compat level to 10.
* Bump Standards-Version to 3.9.8.
* Make sure the man pages are built and installed.
2016-03-13 - Michael Biebl <biebl@debian.org>
kdesvn (1.7.0-2) unstable; urgency=medium
* Update Homepage: field.
* Drop kdesvn-dbg package now that we have automatic dbgsym packages.
* Drop dh_makeshlibs override, no longer necessary now that libsvnqt is
gone.

See Also

Package Description
kdesvn_2.1.0-1_i386.deb Subversion client with tight KDE integration
kdetoys_17.08.3+5.104_i386.deb desktop toys from the official KDE release
kdeutils_17.08.3+5.104_i386.deb general-purpose utilities from the official KDE release
kdevelop-data_5.4.2-2_all.deb data files for the KDevelop IDE
kdevelop-dev_5.4.2-2_i386.deb development files for the KDevelop IDE
kdevelop-l10n_5.4.2-2_all.deb localization files for the KDevelop IDE
kdevelop-pg-qt_2.2.0-1_i386.deb LL(1) parser generator based on Qt
kdevelop-php-l10n_5.4.2-2_all.deb localization files for KDevelop PHP plugin
kdevelop-php_5.4.2-2_i386.deb PHP plugin for KDevelop
kdevelop-python-data_5.4.2-2_all.deb Python 3 plugin for KDevelop - data files
kdevelop-python-l10n_5.4.2-2_all.deb localization files for KDevelop Python 3 plugin
kdevelop-python_5.4.2-2_i386.deb Python 3 plugin for KDevelop
kdevelop54-libs_5.4.2-2_i386.deb shared libraries for the KDevelop platform
kdevelop_5.4.2-2_i386.deb integrated development environment for C/C++ and other languages
kdevplatform-dev_5.4.2-2_all.deb transitional package for kdevelop-dev
Advertisement
Advertisement